SERIAL_CS(4)

NAME
serial_cs - PCMCIA serial port driver

SYNOPSIS
insmod serial_cs.o [pc_debug=n] [irq_list=i,j,...] [do_sound=n]

DESCRIPTION
Serial_cs is the Card Services driver for all PCMCIA serial devices, including modem cards. When serial_cs is bound to a serial or modem card, it will generally attempt to allocate the first unused serial device for use by the card. The device chosen will be recorded in the kernel log file, and will also be reported to cardmgr(8). The major and minor numbers and device name reported by serial_cs will match the corresponding "dialout" device (/dev/cua#). The new device can be accessed using this device file or the corresponding /dev/ttyS# device. The default serial card setup script will link the dialout device to /dev/modem.

PARAMETERS

pc_debug=n
    Selects the PCMCIA debugging level. This parameter is only available if the module is compiled with debugging enabled. A non-zero value enables debugging.

irq_list=i,j,...
    Specifies the set of interrupts that may be allocated by this driver.

do_sound=n
    A flag specifying if speaker output should be enabled. The default is 1 (true). Set to 0 to disable speaker output.

AUTHOR
David Hinds - dhinds@allegro.stanford.edu

SEE ALSO
cardmgr(8), pcmcia(5).